#ifndef ISPINDELINTERFACE_H
#define ISPINDELINTERFACE_H

#include "MasterCtrlInterface.h"

class CIspindel;

class CIspindelInterface : public CMasterCtrlInterface
{
public:
    CIspindelInterface(CIspindel *ProgramHandle);

    int DeviceFrameReceived(int TargetDeviceID, int TargetDeviceAddress, int SenderID, int SenderAddress, int MessageID, int DataSize, QByteArray Data);
    int DeviceConnectedToMaster(bool Connected);

private:
    CIspindel *mProgramHandle;
};

#endif // ISPINDELINTERFACE_H
